/*
** Copyright (c) 2010  Kimmo 'Rainy' Pekkola
**
** This program is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see http://www.gnu.org/licenses.
*/

#ifndef DELEGATE_H
#define DELEGATE_H

#include <QtGui>

class CDelegate : public QItemDelegate
{
    Q_OBJECT

public:
    CDelegate(QWidget* pParent);
    ~CDelegate();

    void setSelectedIndex(const QModelIndex& index) { m_SelectedIndex = index; }
    QModelIndex selectedIndex() { return m_SelectedIndex; }

protected:
    virtual void paint(QPainter* pPainter, const QStyleOptionViewItem& option, const QModelIndex& index) const;

private:
    QModelIndex m_SelectedIndex;        ///< The index which will be drawn as bold
};

#endif // DELEGATE_H
