/*
** Copyright (c) 2010  Kimmo 'Rainy' Pekkola
**
** This program is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see http://www.gnu.org/licenses.
*/

/*
ISSUES:
    - Do the drawing in thread and show the progress
    - Maemo doesn't show busybar
    - Cancelling shows random files
*/

#include <QtGui/QApplication>
#include "mainwindow.h"

//-----------------------------------------------------------------------------
/**
** The main function for the application. Sets up the qt framework and opens the
** main window.b
*/
int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    a.setOrganizationName("rainy");
    a.setApplicationName("storageusage");

    CMainWindow w;
    w.initialize();

#ifndef Q_WS_MAEMO_5
    w.resize(800, 480);
    w.show();
#else
    w.showMaximized();
#endif

    return a.exec();
}

// EOF
